LKML Archive on lore.kernel.org
help / color / mirror / Atom feed
* [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver
@ 2018-05-10 18:49 Jeffrin Jose T
0 siblings, 0 replies; 4+ messages in thread
From: Jeffrin Jose T @ 2018-05-10 18:49 UTC (permalink / raw)
To: shuah, kstewart, daniel.diaz, pombredanne, gregkh, thomas
Cc: linux-kselftest, linux-kernel, Jeffrin Jose T, Jeffrin Jose T
fix for notification of permission requirement to run test.
fix for exit status value for test skipped.
Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
---
tools/testing/selftests/intel_pstate/run.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 6ded61670f6d..4ddd389c2cb9 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -33,6 +33,12 @@ EVALUATE_ONLY=0
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
+msg="skip all tests:"
+if [ $UID != 0 ] && [ $EVALUATE_ONLY == 0 ]; then
+ echo $msg please run this as root >&2
+ exit $ksft_skip
+fi
+
if ! uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ | grep -q x86; then
echo "$0 # Skipped: Test can only run on x86 architectures."
exit $ksft_skip
--
2.17.0
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver
2018-05-24 16:41 ` Shuah Khan
@ 2018-05-24 20:23 ` Jeffrin Thalakkottoor
0 siblings, 0 replies; 4+ messages in thread
From: Jeffrin Thalakkottoor @ 2018-05-24 20:23 UTC (permalink / raw)
To: Shuah Khan
Cc: Jeffrin Jose T, gregkh, Daniel Díaz, thomas,
Philippe Ombredanne, linux-kselftest, lkml
On Thu, May 24, 2018 at 10:11 PM, Shuah Khan <shuah@kernel.org> wrote:
> The commit log doesn't match the commit summary. Please rephrase both the
> commit summary and log to indicate why this fix is necessary.
i will work related to that
> Odd. I don't see your patch posted on the linux-kselftest patchwork and not
> even on lkml archive.
i think may be it is yahoo mail issue or issues.they are not showing
"delivery failure"
message. i have now configured to use gmail account
> You signed off doesn't match your from. Are you using git send-email to send
> patches?
iam using git send-mail.
iam not able to send mail currently using my work account using git send-email.
and i want to show that i work for that
institution(rajagiritech.edu.in). they currently
allow web interface as now iam using it.
anyway now i like to use both email address same(may be ahiliation@gmail.com)
--
software engineer
rajagiri school of engineering and technology
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver
2018-05-22 17:05 Jeffrin Jose T
@ 2018-05-24 16:41 ` Shuah Khan
2018-05-24 20:23 ` Jeffrin Thalakkottoor
0 siblings, 1 reply; 4+ messages in thread
From: Shuah Khan @ 2018-05-24 16:41 UTC (permalink / raw)
To: Jeffrin Jose T, gregkh, daniel.diaz, thomas, pombredanne
Cc: linux-kselftest, linux-kernel, Jeffrin Jose T, Shuah Khan
Hi Jeffrin,
On 05/22/2018 11:05 AM, Jeffrin Jose T wrote:
> fix for notification of permission requirement to run test.
> fix for exit status value for test skipped.
>
> Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
The commit log doesn't match the commit summary. Please rephrase both the
commit summary and log to indicate why this fix is necessary.
Odd. I don't see your patch posted on the linux-kselftest patchwork and not
even on lkml archive.
You signed off doesn't match your from. Are you using git send-email to send
patches?
thanks,
-- Shuah
^ permalink raw reply [flat|nested] 4+ messages in thread
* [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver
@ 2018-05-22 17:05 Jeffrin Jose T
2018-05-24 16:41 ` Shuah Khan
0 siblings, 1 reply; 4+ messages in thread
From: Jeffrin Jose T @ 2018-05-22 17:05 UTC (permalink / raw)
To: shuah, gregkh, daniel.diaz, thomas, pombredanne
Cc: linux-kselftest, linux-kernel, Jeffrin Jose T, Jeffrin Jose T
fix for notification of permission requirement to run test.
fix for exit status value for test skipped.
Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
---
tools/testing/selftests/intel_pstate/run.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 6ded61670f6d..4ddd389c2cb9 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -33,6 +33,12 @@ EVALUATE_ONLY=0
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
+msg="skip all tests:"
+if [ $UID != 0 ] && [ $EVALUATE_ONLY == 0 ]; then
+ echo $msg please run this as root >&2
+ exit $ksft_skip
+fi
+
if ! uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ | grep -q x86; then
echo "$0 # Skipped: Test can only run on x86 architectures."
exit $ksft_skip
--
2.17.0
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2018-05-24 20:23 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-05-10 18:49 [PATCH] selftests: intel_pstate: Fixes for the testing script for Intel P-State driver Jeffrin Jose T
2018-05-22 17:05 Jeffrin Jose T
2018-05-24 16:41 ` Shuah Khan
2018-05-24 20:23 ` Jeffrin Thalakkottoor
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).